ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetDeviceType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
          - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetDeviceType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class InetDeviceType
      extends DeviceType

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDeviceType()`
    `InetDeviceType(int id, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConfigId()`
    `DeviceType` | `getDeviceType()`
    `java.util.List<InetInterface>` | `getInterfaceList()`
    `int` | `getScriptId()`
    `boolean` | `isUniqueInterfaces()`
    `void` | `setConfigId(int configId)`
    `void` | `setDeviceType(DeviceType deviceType)`
    `void` | `setInterfaceList(java.util.List<InetInterface> ifaceList)`
    `void` | `setScriptId(int scriptId)`
    `void` | `setUniqueInterfaces(boolean uniqueInterfaces)`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getDeviceManagerClass, getManagmentType, getProtocolHandlerClass, getSaHandlerClass, getServiceActivationType, isSource, setActiveConfigId, setComment, setConfig, setDeviceEntitySpecId, setDeviceManagerClass, setManagmentType, setProtocolHandlerClass, setSaHandlerClass, setServiceActivationType, setSource`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### InetDeviceType

          public InetDeviceType()

    - #### InetDeviceType

          public InetDeviceType(int id,
                                java.lang.String title)

  - ### Method Detail

    - #### getDeviceType

          public DeviceType getDeviceType()

    - #### setDeviceType

          public void setDeviceType(DeviceType deviceType)

    - #### getConfigId

          public int getConfigId()

    - #### setConfigId

          public void setConfigId(int configId)

    - #### getScriptId

          public int getScriptId()

    - #### setScriptId

          public void setScriptId(int scriptId)

    - #### isUniqueInterfaces

          public boolean isUniqueInterfaces()

    - #### setUniqueInterfaces

          public void setUniqueInterfaces(boolean uniqueInterfaces)

    - #### getInterfaceList

          public java.util.List<InetInterface> getInterfaceList()

    - #### setInterfaceList

          public void setInterfaceList(java.util.List<InetInterface> ifaceList)